Bug 214014 - Beagle randomly fails to find files and mail
Beagle randomly fails to find files and mail
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Depends On:
  Show dependency treegraph
Reported: 2006-11-04 10:20 EST by Uno Engborg
Modified: 2008-05-06 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:42:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from strace beagle-info --daemon-version (67.37 KB, text/plain)
2006-11-04 12:32 EST, Uno Engborg
no flags Details

  None (edit)
Description Uno Engborg 2006-11-04 10:20:34 EST
Description of problem:

Bealge only works in say 1-2% of my searches. It fails to find files that have
and e-mails that been there for months, more often than not it fails to find
recently added material.

My suspicion is that the indexing process somehow get stuck, but I realy have no
clue on how to debug it further. At least beagled runs (as me). I use Evolution
as my e-mail client. I use IMAP, so it would be understandable if mail residing
on the server was not indexed, but not even mail downloaded for offline access
seam to get the attention of beagle all the time.

The same problem occurs if I add a file to my home directory. It doesn't seam to
 be searchable with beagle-search

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a file in your home directory, containing some text
2. Wait for a few minutes to make sure it have been indexed
3. Search for some text in the file using beagle search, find that nothing is
found, continue  with 2. Still nothing found...
Actual results:
Sometimes very old results show up, from the web or mail, but never the newly
created file or recent mails.

Expected results:

The file containing the text should be found.

Additional info:
I'm running it on a 1,8 GHz, Pentium M with 1.2G RAM and 7500rpm Hard drive.
Comment 1 Uno Engborg 2006-11-04 10:24:33 EST
OOps, faild to mention the beagle version,
it is:


Comment 2 Uno Engborg 2006-11-04 12:32:25 EST
Created attachment 140365 [details]
output from strace beagle-info --daemon-version

It seams that there is something wrong with the socket communication at the end
of the trace.
Comment 3 Michael Lausch 2006-11-08 08:09:50 EST
kill all running beagle processes (if necessary use kill -9) and start the 
beagle daemon from the cmdline with the "--debug --fg" options. 
does the output end with an Xlib error?

see bug 212370 which deals with these Xlib errors. maybe this bug report is a
Comment 4 Bug Zapper 2008-04-04 00:25:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:42:02 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.